Bug 217195 - XMMS segfaults when selecting directory with .rar file and no unrar installed
XMMS segfaults when selecting directory with .rar file and no unrar installed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xmms-modplug (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-24 19:21 EST by Bas Mevissen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.05-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-12 11:47:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bas Mevissen 2006-11-24 19:21:18 EST
Description of problem:
XMMS segfaults when loading a directory of music containing a .rar file and
unrar is not installed. Note that this is the only use case I checked, it might
be a larger problem.

Version-Release number of selected component (if applicable):
xmms-1.2.10-29.fc6

How reproducible:
Every time.

Steps to Reproduce:
1. Start XMMS from the command line and press the ">" play button
2. Select a directory of music files containing a .rar file
3. Press "Add all files in a directory"
4. Press "Play"
Note that the directory I pointed to was also the directory I started XMMS in
and the directory contains subdirectories with also .mp3 files.
  
Actual results:
xmms 
XS[src/xmms-sid.c:xs_init:216]: xs_init()
XS[src/xs_config.c:xs_init_configuration:164]: initializing configuration ...
XS[src/xs_config.c:xs_read_configuration:265]: loading from config-file ...
XS[src/xs_config.c:xs_read_configuration:320]: OK
XS[src/xmms-sid.c:xs_reinit:163]: initializing emulator engine #1...
XS[src/xmms-sid.c:xs_reinit:177]: init#1: OK, 1
XS[src/xmms-sid.c:xs_reinit:189]: init#2: OK, 0
XS[src/xmms-sid.c:xs_init:226]: OK
sh: unrar: command not found

Segmentation fault

You've probably found a bug in XMMS, please visit
http://bugs.xmms.org and fill out a bug report.

Expected results:
Complaining that unrar was not found, but continuing action.
With unrar installed, application does not segfault (but other problem found:
xmms hangs, this will be a separate bug report).

Additional info:
Clean FC6 install on a big Intel Core Duo 2 system.
Comment 1 Bas Mevissen 2006-11-24 19:26:48 EST
Filed upstream as http://bugs.xmms.org/show_bug.cgi?id=2450
Comment 2 Ville Skyttä 2006-11-26 12:07:11 EST
I don't see any code in xmms that would handle rar archives any way or call
unrar.  What plugins do you have installed (rpm -qa "xmms*")?  At least
xmms-modplug appears to have some unrar stuff in it.
Comment 3 Bas Mevissen 2006-12-11 12:41:03 EST
I thought I already submitted this, but somehow it disappeared:

$ rpm -qa "xmms*"
xmms-xosd-2.2.14-8.fc6
xmms-skins-1.2.10-15
xmms-sid-0.8.0-0.3.beta15.fc6
xmms-speex-0.9.1-8.fc6
xmms-lirc-1.4-9.fc6
xmms-faad2-2.0-19.20050131.lvn6
xmms-1.2.10-29.fc6
xmms-adplug-1.2-3.fc6
xmms-arts-0.7.1-4.fc6
xmms-devel-1.2.10-29.fc6
xmms-crossfade-0.3.11-1.fc6
xmms-alarm-0.3.7-5.fc6
xmms-libs-1.2.10-29.fc6
xmms-modplug-2.05-7.fc6
xmms-cdread-0.14-12.fc6
xmms-musepack-1.2-3.fc6
xmms-mp3-1.2.10-5.lvn6
xmms-normalize-0.7.7-2.lvn6
xmms-acme-0.4.3-6.fc6
xmms-esd-1.2.10-29.fc6
xmms-scrobbler-0.3.8.1-2.fc6
xmms-flac-1.1.2-27.fc6
Comment 4 Ville Skyttä 2006-12-11 14:02:57 EST
Does the crash occur if xmms-modplug is not installed?
Comment 5 Bas Mevissen 2006-12-11 17:11:22 EST
No, after removing xmms-modplug, no crash appears.

Note that just the existence of a file foo.rar without any contents does crash
xmms if xmms-modplug is installed and unrar isn't.
Comment 6 Ville Skyttä 2006-12-11 17:37:58 EST
Should be fixed in upcoming xmms-modplug 2.05-8.fc*
Comment 7 Bas Mevissen 2006-12-11 17:48:05 EST
Nice. Please tell me when available somewhere so I can test and confirm fix.
Comment 8 Ville Skyttä 2006-12-11 17:55:17 EST
Just completed (unsigned) builds from the build system:
http://buildsys.fedoraproject.org/plague-results/fedora-6-extras/xmms-modplug/2.05-8.fc6/
Comment 9 Bas Mevissen 2006-12-11 18:07:28 EST
Confirmed: problem is solved with these new packages. Works fine with or without
unrar installed etc.

Thanks for the good work!

Note You need to log in before you can comment on or make changes to this bug.